@charset "utf-8";

html {
	overscroll-behavior: none;
}
.viewer-wrap {
	position: relative;
	overflow: hidden;
}
.viewer-header,
.viewer-footer {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	position: fixed;
	left:0;
	z-index: 100;
	height: 70px;
	background: #fff;
	transition: all 0.2s ease-in-out;
}
.viewer-wrap.opt-show .viewer-header {
	top:0;
}
.viewer-wrap.opt-show .viewer-footer {
	bottom:0;
}
.viewer-header {
	top:-70px;
	border-bottom:1px solid #DFDFDF;
	padding:0 150px;
}
.viewer-title {
	position: relative;
	width: 100%;
}
.viewer-index-box {
	padding:20px;
	border:1px solid #D5D5D5;
	background: #fff;
	position: absolute;
	left:50%;
	transform:translateX(-50%);
	top:0;
	width: 500px;
	opacity: 0;
	visibility: hidden;
	transition: all 0.2s ease-in-out;
	z-index: 101;
	overflow-y: auto;
	max-height: 400px;
}
.viewer-index-box.active {
	opacity: 1;
	visibility: visible;
	top:47px;
}
.viewer-index-box::-webkit-scrollbar {
	width: 5px;
}
.viewer-index-box::-webkit-scrollbar-thumb {
	background: #B8BBC3;
	border-radius: 5px;
}
.viewer-index-box::-webkit-scrollbar-track {
	background: #DFDFDF;
	border-radius: 5px;
}
.viewer-index-item.opt-title {
	padding-top:0;
	color: #000;
}
.viewer-index-item {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: space-between;
	white-space: nowrap;
	padding:9px 0;
	border-bottom:1px solid #DFDFDF;
	color: #CFCFCF;
}
.viewer-index-item .text {
	position: relative;
	padding-left:10px;
	display: -webkit-box;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: normal;
	word-wrap: break-word;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
}
.viewer-index-item .text::before {
	display: block;
	content: "-";
	position: absolute;
	left:0;
	top:0;
}
.viewer-index-item.opt-title .text {
	padding:0;
}
.viewer-index-item.opt-title .text::before {
	display: none;
}
.viewer-index-item .page {
	flex:0 0 50px;
	text-align: center;
}
.viewer-index-item.active {
	color: var(--primary-color);
}
.viewer-title-btn {
	font-size: var(--font-size-18);
	display: flex;
	align-items: center;
	justify-content: center;
	white-space: nowrap;
	width: 100%;
}
.viewer-title-btn .ico-custom {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	flex:0 0 21px;
	height: 21px;
	border-radius: 100%;
	box-shadow: 0 0 3px #00000029;
	font-size: 0.55em;
	color: #555555;
	margin:2px 0 0 8px;
	line-height: 1;
	transition: all 0.2s ease-in-out;
}
.viewer-title-btn.active .ico-custom {
	transform:rotate(-180deg);
}
.viewer-title-btn .text {
	display: -webkit-box;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: normal;
	word-wrap: break-word;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
}
.viewer-util-box {
	position: absolute;
	right:0;
	top:50%;
	transform:translateY(-50%);
	display: inline-flex;
	align-items: center;
	padding:0 15px;
}
.viewer-util-btn {
	font-size: var(--font-size-18);
	color: #111;
	padding:0 5px;
	transition: all 0.2s ease-in-out;
}
.viewer-util-btn.active {
	transform:rotate(90deg);
}
.viewer-util-list {
	display: flex;
	flex-direction: column;
	position: absolute;
	top:60px;
	right: -20px;
	transition: all 0.2s ease-in-out;
	opacity: 0;
	visibility: hidden;
}
.opt-show .viewer-util-list {
	opacity: 1;
	visibility: visible;
	right: 10px;
}
.viewer-util-list .btn {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: 38px;
	height: 38px;
	border-radius: 100%;
	border:2px solid #E7E7E7;
	color: #555555;
	background: #fff;
	margin-bottom:10px;
	transition: all 0.2s ease-in-out;
}
.viewer-util-list .btn:hover {
	box-shadow: 3px 3px 2px rgba(0,0,0,0.2);
}
@media all and (max-width: 900px) {
	.viewer-header {
		height: 60px;
		top: 0 !important;
		padding:0 50px 0 15px;
		justify-content: flex-start;
	}
	.viewer-title-btn {
		text-align: left;
		font-size: 1em;
		justify-content: flex-start;
	}
	.viewer-title-btn .ico-custom {
		flex: 0 0 21px;
	}
	.viewer-util-btn {
		padding:0;
	}
	.viewer-util-list {
		display: none;
	}
	.viewer-util-box .viewer-util-btn.opt-list {
		display: none;
	}
	.viewer-index-box {
		padding:15px;
		width: calc(100% + 35px);
		left: 0;
		transform:none;
		max-height: 300px;
	}
	.viewer-index-box.active {
		top:41px;
	}
	.viewer-index-item {
		padding:6px 0;
	}
	.viewer-index-item .text,
	.viewer-index-item .page {
		font-size: var(--font-size-14);
	}
}



.viewer-contents {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100vh;
	height:calc(var(--viewerVh, 1vh) * 100);
}
.viewer-logo {
	position: fixed;
	left: 30px;
	top: 30px;
	transition: all 0.2s ease-in-out;
	z-index: 50;
}
.viewer-wrap.opt-show .viewer-logo {
	top:90px;
}
.viewer-book-wrap {
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	max-width: 1300px;
	margin: 0 auto;
	position: relative;
	padding:0 10px;
	overflow: hidden;
	animation: book-animation 0.5s ease-in-out;
}
@keyframes book-animation {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}
.opt-horizon .viewer-book-wrap {
	max-width: 1850px;
}
.viewer-book-box {
	width: 100%;
	display: flex;
	align-items: center;
	flex-wrap: nowrap;
	border:1px solid #D1D1D1;
	position: relative;
	overflow: hidden;
}
.viewer-book-box::before {
	display: block;
	content:"";
	width: 60px;
	height: 100%;
	background: transparent linear-gradient(90deg, #ECECEC00 0%, #828282 50%, #76767600 100%) 0 0 no-repeat;
	opacity: 0.3;
	position: absolute;
	left:50%;
	top:0;
	transform:translateX(-50%);
	z-index: 3;
	transition: all 0.35s ease-out;
}
.viewer-wrap.animate .viewer-book-box::before {
	opacity: 0;
}
.viewer-book-slide img {
	width: 100%;
	height: 100%;
	transition: all 0.2s ease-in-out;
	text-indent: -9999px;
	max-height: calc(var(--viewerVh, 1vh) * 100);
}
.viewer-book-bg {
	display: block;
	height: calc(100% - 20px);
	width: 10px;
	position: absolute;
	top:10px;
	background:url("../img/viewer/viewer-book-bg02.png") repeat-y left top;
	background-size: 100%;
}
.viewer-book-bg.opt-left {
	left:0;
}
.viewer-book-bg.opt-right {
	right:0;
}
.viewer-book-bg::before,
.viewer-book-bg::after {
	position: absolute;
	display: block;
	content:"";
	width: 10px;
	height: 15px;
	background:url("../img/viewer/viewer-book-bg01.png") repeat-y left top;
	background-size: 100%;
}
.viewer-book-bg::before {
	top:-10px;
}
.viewer-book-bg::after {
	bottom:-10px;
	transform: scaleY(-1);
}
.viewer-book-bg.opt-right::before {
	transform: scaleX(-1);
}
.viewer-book-bg.opt-right::after {
	transform: scaleX(-1) scaleY(-1);
}
.viewer-book-wrap.opt-one {
	max-width: calc(1300px / 2);
}
.opt-horizon .viewer-book-wrap.opt-one {
	max-width: 1100px;
}
.viewer-book-wrap.opt-one .viewer-book-item {
	flex: 0 0 100%;
}
.viewer-book-wrap.opt-one .viewer-book-box::before {
	display: none;
}
.viewer-book-slide .swiper-wrapper {
	align-items: center;
}
.viewer-book-slide.swiper {
	width: 100%;
	height: 100%;
}
.viewer-page-lnk {
	position: absolute;
	right:15px;
	top:15px;
	width: 52px;
	height: 52px;
	border:1px solid rgba(172,172,172,0.6);
	border-radius: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	background: rgba(255,255,255,0.6);
	color: #C9C9C9;
	transition: all 0.2s ease-in-out;
}
.viewer-page-lnk:hover {
	background: rgba(0,0,0,0.6);
	color: #fff;
}
.viewer-wrap.opt-show .viewer-page-lnk {
	top:30px;
}
.viewer-book-slide .swiper-slide:nth-child(odd) .viewer-page-lnk {
	right: auto;
	left:15px;
}
.viewer-book-wrap.opt-one .swiper-slide:nth-child(odd) .viewer-page-lnk {
	right: 15px;
	left:auto;
}
.viewer-prev,
.viewer-next {
	position: absolute;
	top:50%;
	z-index: 90;
	font-size: 3em;
	color: #000;
	opacity: 0.5;
	visibility: visible;
	transition: all 0.2s ease-in-out;
}
.viewer-prev {
	left:20px;
}
.viewer-next {
	right:20px;
}
.viewer-wrap.opt-show .viewer-prev,
.viewer-wrap.opt-show .viewer-next {
	opacity: 0;
	visibility: hidden;
}
.viewer-expand-layer {
	position: fixed;
	left:50%;
	top:50%;
	transform:translate(-50%, -50%);
	width: 0;
	height: 0;
	background:#fff;
	z-index: 95;
	opacity: 0;
	visibility: hidden;
	overflow: auto;
	transition: all 0.3s ease-out;
}
.viewer-expand-layer.active {
	width: 100%;
	height: 100%;
	opacity: 1;
	visibility: visible;
}
.viewer-expand-layer .viewer-expand-img-box {
	display: table;
	table-layout: fixed;
	transform:scale(1.2);
	transform-origin: 0 0;
	width: 100%;
	cursor: grab;
}
.viewer-expand-layer.opt-one .viewer-expand-img-box {
	transform:scale(1);
}
.viewer-expand-img {
	display: table-cell;
	vertical-align: middle;
}
.viewer-expand-img img {
	max-height: 100%;
	width: 100%;
}
.viewer-expand-layer::-webkit-scrollbar {
	width: 5px;
	height: 5px;
}
.viewer-expand-layer::-webkit-scrollbar-thumb {
	background: #DFDFDF;
	border-radius: 5px;
}
.viewer-expand-layer::-webkit-scrollbar-track {
	background: #fff;
	border-radius: 5px;
}
.viewer-youtube-thumb {
	position: relative;
	width: 100%;
	height: 100%;
}
.viewer-youtube-thumb::before,
.viewer-youtube-thumb::after {
	display: block;
	content:"";
	position: absolute;
}
.viewer-youtube-thumb::before {
	width: 100%;
	height: 100%;
	background:#000;
	opacity: 0.6;
	left:0;
	top:0;
}
.viewer-youtube-thumb::after {
	width: 50px;
	height: 50px;
	background:url("../img/editor/ico-preview-youtube.svg") no-repeat center center;
	background-size: 50px;
	left:50%;
	top:50%;
	transform:translate(-50%, -50%);
}
.viewer-youtube-popup .modal-popup-box {
	max-width: 880px;
}
.viewer-youtube-title {
	color: #fff;
	font-size: var(--font-size-18);
	margin-bottom:30px;
	min-height: 26px;
	padding-right:40px;
}
.viewer-youtube-popup iframe {
	width: 100%;
	height: 500px;
	border:none;
}
.viewer-book-slide .swiper-lazy-preloader {
	--swiper-preloader-color: var(--primary-color);
	z-index: -1;
}
@media all and (max-width: 900px) {
	.viewer-logo {
		top:70px !important;
		left:10px;
	}
	.viewer-wrap .viewer-logo img{
		max-width: 100px;
	}
	.viewer-book-wrap {
		max-width: calc(1300px / 2);
		padding:0 10px;
	}
	.viewer-book-item {
		flex: 0 0 100%;
	}
	.viewer-book-box::before {
		display: none;
	}
	.viewer-book-bg {
		display: none;
	}
	.viewer-page-lnk {
		width: 35px;
		height: 35px;
		font-size: var(--font-size-14);
	}
	.viewer-book-slide .viewer-page-lnk,
	.viewer-wrap.opt-show .viewer-page-lnk,
	.viewer-book-slide .swiper-slide:nth-child(odd) .viewer-page-lnk {
		left: auto;
		right: 5px;
		top:5px;
	}
	.opt-vertical .viewer-book-wrap {
		transform: none !important;
		max-width: none;
		overflow: auto;
		align-items: flex-start;
		height: 100%;
	}
	.opt-vertical .viewer-book-box {
		border:none;
		margin-top:70px;
		margin-bottom:90px;
	}
	.opt-vertical .viewer-book-slide .swiper-wrapper {
		flex-wrap:wrap;
	}
	.opt-vertical .viewer-book-slide .swiper-slide {
		margin-bottom:10px;
		border:1px solid #D1D1D1;
	}
	/*.opt-vertical .viewer-contents {
		overflow-y: auto;
		height: 100%;
	}*/
	.viewer-prev,
	.viewer-next {
		display: none;
	}
	.viewer-youtube-title {
		font-size: 1em;
		margin-bottom:20px;
	}
	.viewer-youtube-popup iframe {
		height: 450px;
	}
	.viewer-book-slide img {
		max-height: 100%;
	}
	.viewer-book-wrap.opt-one {
		transform: translateY(-10px);
	}
	html.zooming {
		overflow: hidden !important;
	}
	html.zooming .viewer-logo {
		display: none;
	}
	html.zooming .viewer-wrap:not(.opt-vertical) {
		height: 100%;
		overflow: auto;
	}
	html.zooming .viewer-wrap:not(.opt-vertical) .viewer-contents {
		transform:scale(2);
		transform-origin: left top;
		transition: 0.2s ease-in-out;
	}
	html.zooming .viewer-wrap .viewer-book-slide {
		pointer-events: none !important;
		touch-action: none !important;
	}
	html.zooming .viewer-wrap.opt-vertical .viewer-contents {
		overflow-x: auto;
		overflow-y: hidden;
	}
	html.zooming .viewer-wrap.opt-vertical .viewer-book-wrap {
		transform:scale(2) !important;
		transform-origin: left top;
		transition: 0.2s ease-in-out;
		padding-bottom: calc(100% + 100px) !important;
	}
}
@media all and (max-width: 767px) {
	.viewer-youtube-popup iframe {
		height: 350px;
	}
}




.viewer-footer {
	bottom:-70px;
	border-top:1px solid #DFDFDF;
}
.viewer-footer-btn {
	font-size: var(--font-size-20);
	color: #555555;
	margin:0 18px;
	transition: all 0.2s ease-in-out;
}
.viewer-footer-btn.active {
	color: var(--primary-color);
}
.viewer-footer-btn.opt-view {
	width: 28px;
	height: 28px;
	background: url("../img/viewer/ico-page.svg") no-repeat center 58%;
	margin:0 10px;
	transition: none;
}
.viewer-footer-btn.opt-view.active {
	background: url("../img/viewer/ico-page-open.png") no-repeat center 55%;
	background-size: 23px;
}
.viewer-footer-btn.opt-like.active {
	animation: like 0.3s ease-in-out alternate;
}
@keyframes like {
	0% {
		transform:translateY(5px);
	}
	50% {
		transform:translateY(-5px);
	}
	100% {
		transform:translateY(0);
	}
}
.viewer-footer-btn.disabled {
	color: #ABABAB;
	pointer-events: none;
}
.viewer-footer-btn.opt-channel {
	position: absolute;
	right:15px;
	top:50%;
	transform:translateY(-50%);
	display: flex;
	align-items: center;
	justify-content: center;
	width:40px;
	height: 40px;
	background: #E3E3E3;
	border-radius: 100%;
	margin:0;
	overflow: hidden;
}
.viewer-footer-btn.opt-channel img {
	max-width: 100%;
	max-height: 100%;
}
.viewer-controller {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	margin:0 18px;
	font-size: var(--font-size-18);
	color: #999999;
	z-index: 5;
}
.viewer-controller.opt-web-hide {
	display: none;
}
.viewer-pagination {
	position: relative;
	top:auto;
	bottom:auto;
	width: auto;
	margin-right: 15px;
}
.viewer-pagination .swiper-pagination-current {
	color: var(--primary-color);
	font-weight: 600;
}
.viewer-scrollbar.swiper-scrollbar {
	position: relative;
	left: auto;
	top:auto;
	bottom:auto;
	width: 400px;
}
.viewer-scrollbar .swiper-scrollbar-drag {
	background:var(--primary-color);
	cursor: pointer;
}
.viewer-share-list {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 48px;
	border:1px solid #E7E7E7;
	background: #fff;
	padding:0 8px;
	position: absolute;
	bottom:10px;
	visibility: hidden;
	opacity: 0;
	transition: all 0.2s ease-in-out;
	z-index: 5;
}
.viewer-share-list.active {
	visibility: visible;
	opacity: 1;
	bottom:49px;
}
.viewer-share-list .btn {
	width: 100%;
	height: 45px;
	border-bottom:1px solid #E7E7E7;
	color: #555555;
}
.viewer-share-list .btn:last-child {
	border-bottom:none;
}
.viewer-share-list .btn img {
	max-width: 18px;
	vertical-align: middle;
}
.viewer-footer-btn.opt-web-hide {
	display: none;
}
.viewer-ad-box {
	position: absolute;
	left:50%;
	bottom:100%;
	width: 659px;
	height: 84px;
	transform:translateX(-50%);
	opacity: 1;
	visibility: visible;
	transition: all 0.2s ease-in-out;
}
.viewer-ad-box.google {
	height:auto !important;
	background:#fff;
}
.viewer-ad-box.hide {
	opacity: 0;
	visibility: hidden;
}
.viewer-ad-box .img-box {
	border:1px solid #d2d2d2;
	border-bottom:none;
	display: block;
}
.viewer-ad-box .btn-box {
	display: flex;
	align-items: center;
	position: absolute;
	right:1px;
	top: 1px;
}
.viewer-ad-box .btn {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: 20px;
	height: 20px;
	background:rgba(0,0,0,0.2);
	color: #fff;
	margin-left:1px;
	font-size: var(--font-size-14);
}
.viewer-ad-box .btn.opt-info {
	font-size: 0.7em;
}
.viewer-ad-box .info-box {
	position: absolute;
	left:50%;
	top:50%;
	transform:translate(-50%, -50%);
	background: rgba(0,0,0,0.75);
	padding:12px 40px;
	color: #fff;
	font-size: 0.95em;
	white-space: nowrap;
	opacity: 0;
	visibility: hidden;
	transition: all 0.2s ease-in-out;
}
.viewer-ad-box .info-box.active {
	opacity: 1;
	visibility: visible;
}
.viewer-google-close {
	position: absolute; 
	left: 50%; 
	top: -20px; 
	display: inline-flex; 
	align-items: center; 
	justify-content: center; 
	width: 45px; 
	height: 20px; 
	background: #f5f5f5; 
	border-radius: 5px 5px 0 0; 
	color: #9b9b9b;
	transform:translateX(-50%); 
}
.viewer-google-close.active {
	transition:0.3s ease-in-out;
}
.viewer-google-close.active i {
	transform:rotate(180deg);
}
@media all and (max-width: 1200px) {
	.viewer-scrollbar.swiper-scrollbar {
		width: 250px;
	}
	.viewer-footer-btn {
		font-size: var(--font-size-18);
		margin:0 13px;
	}
	.viewer-controller {
		margin: 0 13px;
		font-size: 0.95em;
	}
	.viewer-pagination {
		margin-right:10px;
	}
}
@media all and (max-width: 900px) {
	.viewer-footer {
		bottom:0 !important;
		padding:24px 15px 0;
		height: 80px;
		justify-content: space-between;
	}
	.viewer-footer-btn.opt-mobile-hide {
		display: none;
	}
	.viewer-footer-btn.opt-web-hide {
		display: block;
	}
	.viewer-controller {
		flex:none;
		position: absolute;
		left:0;
		top:10px;
		width: 100%;
		margin:0;
		padding:0 15px;
	}
	.viewer-controller.opt-web-hide {
		display: flex;
	}
	.viewer-controller.opt-mobile-hide {
		display: none;
	}
	.viewer-pagination {
		flex: 0 0 40px;
		white-space: nowrap;
		text-align: left;
	}
	.viewer-footer-btn {
		margin:0;
	}
	.viewer-footer-btn.opt-view {
		margin:0;
	}
	.viewer-footer-btn.opt-mobile-type.active {
		transform:rotate(90deg);
		color: #555555;
	}
	.viewer-share-list {
		left:-16px;
	}
	.viewer-share-list.active {
		bottom:65px;
	}
	.viewer-footer-btn.opt-channel {
		position: static;
		right: auto;
		top:auto;
		transform:none;
		width: auto;
		flex:0 0 35px;
		height: 35px;
	}
	.viewer-paging-range {
		--sliderThumb: 14px;
		-webkit-appearance: none;
		cursor: pointer;
		display: block;
		width: auto;
		flex: 1 1 auto;
	}
	.viewer-paging-range:focus {
		outline: none;
	}
	.viewer-paging-range::-webkit-slider-runnable-track {
		height: 4px;
		border:none;
		background:#e5e5e5;
		border-radius: 5px;
	}
	.viewer-paging-range::-webkit-slider-thumb {
		-webkit-appearance: none;
		display: block;
		width: var(--sliderThumb);
		height: 4px;
		background: var(--primary-color);
		cursor: pointer;
		border-radius: 10px;
		position: relative;
		top:50%;
		transform:translateY(-50%);
	}
}
@media all and (max-width: 767px) {
	.viewer-ad-box {
		width: 100%;
		height: auto;
	}
	.viewer-ad-box .img-box {
		border:none;
		width: 100%;
	}
	.viewer-ad-box .img-box img {
		width: 100%;
	}
	.viewer-ad-box .info-box {
		width: 100%;
		height: 100%;
		left: 0;
		top:0;
		transform:translate(0);
		display: flex;
		align-items: center;
		justify-content: center;
		padding:0;
		white-space: normal;
		text-align: center;
		font-size: var(--font-size-14);
	}
}


.viewer-reload-btn {
	color: #fff;
	text-align: center;
	padding:30px 0 20px;
}
.viewer-reload-btn .ico-custom {
	width: 80px;
	height: 80px;
	display: flex;
	align-items: center;
	justify-content: center;
	background: rgba(229, 229, 229, 0.65);
	color: #fff;
	border-radius: 100%;
	margin:0 auto 8px;
	font-size: var(--font-size-30);
}
.viewer-channel-box {
	display: inline-flex;
	align-items: center;
	white-space: nowrap;
}
.viewer-channel-box .img-box {
	flex:0 0 96px;
	height: 96px;
	border-radius: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	background: #E3E3E3;
}
.viewer-channel-box .img-box img {
	max-width: 100%;
	max-height: 100%;
}
.viewer-channel-box .btn {
	margin-left:20px;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	color: #fff;
	position: relative;
	font-size: 0.95em;
	padding:0 0 5px;
}
.viewer-channel-box .btn::before {
	display: block;
	content:"";
	width: 100%;
	height: 1px;
	background:#fff;
	position: absolute;
	left:0;
	bottom:0;
}
.viewer-channel-box .btn .ico-custom {
	margin:0 8px;
	font-size: 0.8em;
	display: inline-block;
	vertical-align: middle;
}
.viewer-good-list .modal-popup-box {
	max-width: 980px;
}
.viewer-book-list {
	display: flex;
	flex-wrap:wrap;
	margin:30px -20px 20px;
}
.viewer-book-list li {
	flex: 0 0 25%;
	padding:0 20px;
}
.viewer-book-lnk {
	color: #fff;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	position: relative;
	height: 100%;
}
.viewer-book-lnk::before {
	display: block;
	content:"";
	width: calc(100% + 40px);
	height: calc(100% + 40px);
	position: absolute;
	left:-20px;
	top:-40px;
	transition: all 0.2s ease-in-out;
	z-index: -1;
	opacity: 0.1;
}
.viewer-book-lnk:hover::before {
	top:-20px;
	background:#fff;
}
.viewer-book-lnk .img-box {
	flex: 1 1 auto;
	display: flex;
	align-items: center;
	justify-content: center;
}
.viewer-book-lnk img {
	width: 100%;
}
.viewer-book-lnk .type {
	display: block;
	color: #F2F2F2;
	font-size: var(--font-size-14);
	margin-top:10px;
}
.viewer-book-lnk .title {
	font-size: var(--font-size-18);
	line-height: 1.3;
	margin:2px 0;
	display: -webkit-box;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: normal;
	word-wrap: break-word;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
}
.viewer-book-lnk .etc-box {
	display: flex;
	align-items: center;
}
.viewer-book-lnk .etc {
	color: #999999;
	font-size: 0.8em;
	margin-right:15px;
}
.viewer-book-lnk .etc .ico-custom {
	margin-right:5px;
}
.viewer-spread-list .modal-popup-box {
	max-width: 1200px;
	overflow-x: hidden;
}
.viewer-spread-text {
	color: #fff;
	font-size: var(--font-size-18);
	margin-bottom:30px;
}
.viewer-book-list.opt-spread {
	margin:-10px;
}
.viewer-book-list.opt-spread li {
	flex:0 0 calc(16.6666% - 20px);
	padding:21.5% 0 0;
	position: relative;
	margin:10px;
	overflow:hidden;
}
.viewer-book-list.opt-spread li::before {
	display: block;
	content: "";
	position: absolute;
	left: 50%;
	top:50%;
	transform:translate(-50%, -50%);
	width: 30px;
	height: 30px;
	border: 3px solid #fff;
	border-bottom-color: transparent;
	border-radius: 50%;
	opacity: 0.4;
	box-sizing: border-box;
	animation: lazy-spinner 1.2s linear infinite;
}
@keyframes lazy-spinner {
	0% {transform: translate(-50%, -50%) rotate(0deg);}
	100% {transform: translate(-50%, -50%) rotate(360deg);}
}
.viewer-book-list.opt-spread .viewer-book-lnk:hover::before {
	display: none;
}
.viewer-book-list.opt-spread .viewer-book-lnk {
	position: absolute;
	left:0;
	top:0;
	width: 100%;
}
.viewer-book-list.opt-spread .viewer-book-lnk.opt-youtube::before {
	width: 40px;
	height: 40px;
	background:url("../img/editor/ico-preview-youtube.svg") no-repeat center center;
	left: 50%;
	top:50%;
	transform:translate(-50%, -50%);
	z-index: 2;
	opacity: 1;
}
.viewer-book-list.opt-spread .viewer-book-lnk.opt-youtube:hover::before {
	display: block;
}
.viewer-book-list.opt-spread .viewer-book-lnk::after {
	display: block;
	content:"";
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.4);
	position: absolute;
	left:0;
	top:0;
	z-index: 1;
	transition: all 0.1s ease-in-out;
}
.viewer-book-list.opt-spread .viewer-book-lnk.active::after,
.viewer-book-list.opt-spread .viewer-book-lnk:hover::after {
	opacity: 0;
}
.viewer-book-list.opt-spread .viewer-book-lnk .index {
	position: absolute;
	left:10px;
	top:5px;
	font-size: var(--font-size-18);
}
.viewer-book-list.opt-spread .viewer-book-lnk .ico-custom {
	position: absolute;
	right:10px;
	bottom:10px;
	width: 25px;
	height: 25px;
	background:#fff;
	border-radius: 100%;
	border:1px solid #E2E2E2;
	color: #555555;
	font-size: 0.7em;
	display:flex;
	align-items: center;
	justify-content: center;
}
.viewer-book-list.opt-spread .viewer-book-lnk .img-box {
	width: 100%;
	height: 100%;
}
.viewer-book-list.opt-spread .viewer-book-lnk .img-box img {
	max-width: 100%;
	max-height: 100%;
	width: auto;
}
.viewer-print .modal-popup-box {
	max-width: 720px;
}
.viewer-print .modal-popup-content {
	padding:0;
}
.viewer-print .modal-popup-title {
	position: sticky;
	left: 0;
	top:0;
	width: 100%;
	color: #555555;
	font-size: 1em;
	padding: 20px 50px 20px 20px;
	margin:0;
	border-bottom:1px solid #DFDFDF;
	background: #fff;
	z-index: 5;
}
.viewer-print .btn-default-box {
	padding:10px 20px;
	box-shadow: 0 -5px 6px #00000029;
	margin:0;
	position: sticky;
	left: 0;
	bottom:0;
	width: 100%;
	background: #fff;
}
.viewer-print .modal-popup-close {
	right: 15px;
	top:8px;
}
.viewer-print-img {
	padding:30px;
}
.viewer-book-box .swiper-zoom-container {
	cursor: grab;
}
@media all and (max-width: 1023px) {
	.viewer-book-list {
		margin:30px -10px 20px
	}
	.viewer-book-list li {
		padding:0 10px;
	}
	.viewer-book-lnk .title {
		font-size: 1em;
	}
	.viewer-book-list.opt-spread li {
		flex:0 0 calc(25% - 20px);
		padding:33% 0 0;
	}
	.viewer-book-list.opt-spread .viewer-book-lnk:hover::after {
		opacity: 1;
	}
	.viewer-book-list.opt-spread .viewer-book-lnk.active:hover::after {
		opacity: 0;
	}
}
@media all and (max-width: 767px) {
	.viewer-reload-btn {
		padding:30px 0 15px;
		font-size: var(--font-size-14);
	}
	.viewer-reload-btn .ico-custom {
		width: 60px;
		height: 60px;
		font-size: var(--font-size-24);
	}
	.viewer-channel-box .img-box {
		flex:0 0 70px;
		height: 70px;
	}
	.viewer-channel-box .btn {
		margin-left:10px;
		font-size: var(--font-size-14);
	}
	.viewer-book-list {
		margin:10px -5px 0;
	}
	.viewer-book-list li {
		padding:8px 5px;
		flex: 0 0 50%;
	}
	.viewer-book-lnk .type {
		margin-top:5px;
		font-size:var(--font-size-13)
	}
	.viewer-book-lnk .title {
		font-size: 0.95em;
	}
	.viewer-spread-text {
		font-size: 1em;
	}
	.viewer-book-list.opt-spread li {
		flex: 0 0 calc(50% - 10px);
		margin:5px;
		padding:70.5% 0 0;
	}
	.viewer-book-list.opt-spread .viewer-book-lnk .index {
		font-size: var(--font-size-14);
	}
	.viewer-book-list.opt-spread .viewer-book-lnk .ico-custom {
		width: 20px;
		height: 20px;
		font-size: 0.5em;
	}
	.viewer-book-lnk .etc {
		margin-right:10px;
	}
}



.modal-popup.opt-viewer {
	background: rgb(0 0 0 / 42%);
}
.modal-popup.opt-viewer .modal-popup-content {
	background:rgba(0,0,0,0.6);
	padding:30px 40px;
}
.modal-popup.opt-viewer .modal-popup-close {
	width: 42px;
	height: 42px;
	background: #000;
	border-radius: 100%;
	font-size: 1em;
	display: flex;
	align-items: center;
	justify-content: center;
}
.modal-popup.opt-viewer .modal-popup-box::-webkit-scrollbar {
	width: 5px;
}
.modal-popup.opt-viewer .modal-popup-box::-webkit-scrollbar-thumb {
	background: #99D5C8;
	border-radius: 5px;
}
.modal-popup.opt-viewer .modal-popup-box::-webkit-scrollbar-track {
	background: #fff;
	border-radius: 5px;
}
@media all and (max-width: 767px) {
	.modal-popup.opt-viewer .modal-popup-content {
		padding:20px;
	}
	.modal-popup.opt-viewer .modal-popup-close {
		width: 35px;
		height: 35px;
		right:15px;
	}
}


.modal-popup.opt-fix-header .viewer-spread-text {
	position: sticky;
	left: 0;
	top: 0;
	width: calc(100% + 80px);
	z-index: 10;
	background: rgba(0,0,0,0.2);
	padding: 20px 40px;
	margin: -30px -40px 20px;
}
.modal-popup.opt-fix-header .modal-popup-close {
	top:11px;
}
@media all and (max-width: 767px) {
	.modal-popup.opt-fix-header .modal-popup-close {
		right:30px;
	}
}


.viewer-mobile-info {
	display: none;
}
@media all and (max-width: 900px) {
	.viewer-mobile-info {
		display: flex;
		align-items: center;
		justify-content: center;
		flex-direction: column;
		position: fixed;
		left:50%;
		top:50%;
		transform:translate(-50%, -50%);
		z-index: 100;
		background:rgba(0,0,0,0.55);
		padding:20px 0;
		text-align: center;
		color: #fff;
		border-radius: 5px;
		font-size: 0.95em;
		opacity: 0;
		visibility: hidden;
		transition: all 0.3s ease-in-out;
	}
	.viewer-mobile-info.active {
		opacity: 1;
		visibility: visible;
	}
	.viewer-mobile-info .text {
		white-space: nowrap;
		width: 100%;
		padding:0 50px 60px;
		background:url("../img/viewer/ico-scroll-horizon.png") no-repeat center bottom;
	}
	.viewer-mobile-info.opt-vertical .text {
		padding:0 50px 105px;
		background:url("../img/viewer/icon-scroll-vertical.png") no-repeat 55% bottom;
	}
}


.viewer-print-img .lazy-img[data-src] {
	width: 100vw;
	height: 100vh;
}
.viewer-print-img .print-break {
	position: relative;
}
.viewer-print-img .print-break::before {
	display: block;
	content: "";
	position: absolute;
	left: 50%;
	top:50%;
	transform:translate(-50%, -50%);
	width: 30px;
	height: 30px;
	border: 3px solid #000;
	border-bottom-color: transparent;
	border-radius: 50%;
	opacity: 0.3;
	box-sizing: border-box;
	animation: lazy-spinner 1.2s linear infinite;
	z-index: -1;
}

@media print {
	.print-break {
		page-break-after: always;
	}
	.print-break img {
		width: 100%;
		height: auto !important;
	}
	@page {
		margin: 0;
	}
}


/* ## 임시 ## */
.viewer-contents > .google-auto-placed {
	width: 0 !important;
}
.viewer-book-wrap > .google-auto-placed {
	width: 0 !important;
}